<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: Joakim Falk (Domi)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."crewdb/locale/".$this_lang.".php")) {
	   include INFUSIONS."crewdb/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."crewdb/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."crewdb/locale/".$this_lang.".php")) {
	   include INFUSIONS."crewdb/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."crewdb/locale/English.php";
	}
}


error_reporting(E_ALL -E_NOTICE); // Just if we missed something stupid, we want it to look good with limited time now !

// If register_globals is turned off, extract super globals (php 4.2.0+) // We know its off in V7 but we keep this one here for you since VArcade is considered safe and we save alot of time doing this!

if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}


function cleanurl_crewdb($url) {
	$bad_entities = array("&", "\"", "'", '\"', "\'", "<", ">", "(", ")", "*");
	$safe_entities = array("&amp;", "", "", "", "", "", "", "", "", "");
	$url = str_replace($bad_entities, $safe_entities, $url);
	return $url;
}


function makecrewpagenav($start,$count,$total,$range=0,$link=""){
	global $locale;

	if ($link == "") $link = FUSION_SELF."?";
	$res="";
	$pg_cnt=ceil($total / $count);

	if ($pg_cnt > 1) {
		$idx_back = $start - $count;
		$idx_next = $start + $count;
		$cur_page=ceil(($start + 1) / $count);
		$res.="<table align='center' cellpadding='0' cellspacing='1' width='500' class='tbl-border'><tr>\n";


		if ($idx_back >= 0) {

			$res.="<td width='20%' align='center' class='tbl2'><span class='small'><a href='$link"."rowstart=$idx_back'>".$locale['CDB002']."</a></td></span>\n";

		}

		$idx_fst=max($cur_page - $range, 1);
		$idx_lst=min($cur_page + $range, $pg_cnt);
		if ($range==0) {
			$idx_fst = 1;
			$idx_lst=$pg_cnt;
			} else {
			$res.="<td width='20%' align='center' class='tbl1'><span class='small'>".$locale['CDB003']." $cur_page/$pg_cnt</span></td>\n";
			}


		if ($idx_next < $total) {
			$res.="<td width='20%' align='center' class='tbl2'><span class='small'><a href='$link"."rowstart=$idx_next'>".$locale['CDB004']."</a></td>\n";

		}
		$res.="</tr>\n</table>\n";

	}
	return $res;
}


function breadcrumb($cid)
{
global $db_prefix,$locale,$data;
$bcq=dbquery("select * from ".$db_prefix."crewdb_cats WHERE cid=$cid");
    	while($bcd = dbarray($bcq))
		{
		$title=getlink($bcd['title'],$bcd['cid']);
		$title="<a href=\"".FUSION_SELF."\"><strong>".$locale['CDB005']."</strong></a> &raquo;  $title";
		}
		return $title;
}

function getlink($title,$cid) 
{
global $db_prefix, $locale,$data;
		$data=dbarray(dbquery("select cid, title from ".$db_prefix."crewdb_cats where cid=$cid"));
		$title='<a href="'.INFUSIONS.'crewdb/crewdb.php?category='.$data['cid'].'"><b>'.$data['title'].'</b></a>';
	return $title;
}



?>
