<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: members.php
| Author: Joakim Falk (Domi)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!iADMIN) { header("Location:../../../index.php"); exit; }

include LOCALE.LOCALESET."admin/photos.php"; //Okey we need to get these from 6 if we want the message report system work !

function createthumbnail($filetype, $origfile, $thumbfile, $new_w, $new_h) {
	
	global $settings;
	
	if ($filetype == 1) { $origimage = imagecreatefromgif($origfile); }
	elseif ($filetype == 2) { $origimage = imagecreatefromjpeg($origfile); }
	elseif ($filetype == 3) { $origimage = imagecreatefrompng($origfile); }
	
	$old_x = imagesx($origimage);
	$old_y = imagesy($origimage);
	
	if ($old_x > $new_w || $old_y > $new_h) {
		if ($old_x < $old_y) {
			$thumb_w = round(($old_x * $new_h) / $old_y);
			$thumb_h = $new_h;
		} elseif ($old_x > $old_y) {
			$thumb_w = $new_w;
			$thumb_h = round(($old_y * $new_w) / $old_x);
		} else {
			$thumb_w = $new_w;
			$thumb_h = $new_h;
		}
	} else {
		$thumb_w = $old_x;
		$thumb_h = $old_y;
	}
	
	if ($settings['thumb_compression'] == "gd1") {
		$thumbimage = imagecreate($thumb_w,$thumb_h);
		$result = imagecopyresized($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	} else {
		$thumbimage = imagecreatetruecolor($thumb_w,$thumb_h);
		$result = imagecopyresampled($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	}
	
	touch($thumbfile);

	if ($filetype == 1) { imagegif($thumbimage, $thumbfile); }
	elseif ($filetype == 2) { imagejpeg($thumbimage, $thumbfile); }
	elseif ($filetype == 3) { imagepng($thumbimage, $thumbfile); }
}

function image_exists($dir, $image) {
	$i = 1;
	$image_name = substr($image, 0, strrpos($image, "."));
	$image_ext = strrchr($image,".");
	while (file_exists($dir.$image)) {
		$image = $image_name."_".$i.$image_ext;
		$i++;
	}
	return $image;
}


if (isset($action) && $action == "delete") {

$result1 = dbquery("SELECT picture,thumb FROM ".$db_prefix."crewdb WHERE id='$id'");
$remove = dbarray($result1);
$picture="".$remove['picture']."";
$thumb="".$remove['thumb']."";
@unlink($picture);
@unlink($thumb);

$result = dbquery("DELETE FROM ".$db_prefix."crewdb WHERE id='$id'");
redirect("admin.php?a_page=Main");
}

//Set image variables
//We keep functions intact here to have them verson independent.

$imagewidth = "1800";
$imageheight = "1600";
$imagebytes = "5500000";

//Ok so the messages sucks some in V7 ! , lets work on that someday!
	  
if (isset($complete)) {
$message = "";
		if ($error == 1) { $message .= $locale['422']; }
		elseif ($error == 2) { $message .= sprintf($locale['423'], parsebytesize($imagebytes)); }
		elseif ($error == 3) { $message .= $locale['424']; }
		elseif ($error == 4) { $message .= sprintf("".$locale['425'].", ".$imagewidth.",".$imageheight."" ); }
	echo "<div align='center'>".$message."</div>\n";
}

if (isset($_POST['save_cat'])) 
{

$photo_file = $_POST['image'];
$photo_thumb1 = $_POST['thumb'];


	$newimgfile = $_FILES['imagefile'];
	if (!empty($newimgfile['name']) && is_uploaded_file($newimgfile['tmp_name'])) {

	
//image upload & resize function
$image_url = stripinput($_POST['image_url']);
	$error="";
	$photo_file = ""; $photo_thumb1 = ""; $photo_thumb2 = "";
	if (is_uploaded_file($_FILES['imagefile']['tmp_name'])) {
		$photo_types = array(".gif",".jpg",".jpeg",".png");
		$photo_pic = $_FILES['imagefile'];
		$photo_name = strtolower(substr($photo_pic['name'], 0, strrpos($photo_pic['name'], ".")));
		$photo_ext = strtolower(strrchr($photo_pic['name'],"."));
		$photo_dest = INFUSIONS."crewdb/pictures/";
		if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $photo_pic['name'])) {
			$error = 1;
		} elseif ($photo_pic['size'] > $imagebytes){
			$error = 2;
		} elseif (!in_array($photo_ext, $photo_types)) {
			$error = 3;
		} else {
			$photo_file = image_exists($photo_dest, $photo_name.$photo_ext);
			move_uploaded_file($photo_pic['tmp_name'], $photo_dest.$photo_file);
			chmod($photo_dest.$photo_file, 0644);
			$imagefile = @getimagesize($photo_dest.$photo_file);
			if ($imagefile[0] > $imagewidth || $imagefile[1] > $imageheight) {
				$error = 4;
				unlink($photo_dest.$photo_file);
			} else {
				$photo_thumb1 = image_exists($photo_dest, $photo_name."_t1".$photo_ext);
				createthumbnail($imagefile[2], $photo_dest.$photo_file, $photo_dest.$photo_thumb1, $settings['thumb_w'], $settings['thumb_h']);
				if ($imagefile[0] > $settings['photo_w'] || $imagefile[1] > $settings['photo_h']) {
					$photo_thumb2 = image_exists($photo_dest, $photo_name."_t2".$photo_ext);
					createthumbnail($imagefile[2], $photo_dest.$photo_file, $photo_dest.$photo_thumb2, $settings['photo_w'], $settings['photo_h']);
				}
			}
		}
	}
//end image upload function
}


$nickname = stripinput($_POST['nickname']);
$realname = stripinput($_POST['realname']);
$introduction = stripinput($_POST['introduction']);
$accomplishments = stripinput($_POST['accomplishments']);
$projects = stripinput($_POST['projects']);
$education = stripinput($_POST['education']);
$notes = stripinput($_POST['notes']);


$aintroduction = stripinput($_POST['aintroduction']);
$aacomplish = stripinput($_POST['aacomplish']);
$aprojects = stripinput($_POST['aprojects']);
$aeducation = stripinput($_POST['aeducation']);
$anotes = stripinput($_POST['anotes']);
$aname = stripinput($_POST['aname']);

if (isset($action) && $action == "edit") {
//table update

$result = dbquery("UPDATE ".$db_prefix."crewdb SET nickname='$nickname', cid='$kategori', picture='$photo_file', thumb='$photo_thumb1',introduction='$introduction',realname='$realname',accomplishments='$accomplishments',projects='$projects',education='$education',notes='$notes' WHERE id='$id'");
//group reference table update.
$result = dbquery("UPDATE ".$db_prefix."crewdb_access SET member='$id', aintroduction='$aintroduction',aacomplish='$aacomplish',aprojects='$aprojects',aeducation='$aeducation',anotes='$anotes',aname='$aname' WHERE member ='$id'");
} else {
//table insert
$result = dbquery("INSERT INTO ".$db_prefix."crewdb VALUES('', '$nickname',  '$kategori', '$photo_file', '$photo_thumb1', '$introduction','$realname','$accomplishments','$projects','$education','$notes')");
//group reference table insert
$udata = dbarray(dbquery("SELECT * FROM ".$db_prefix."crewdb order by ID DESC limit 1")); //Lets make sure we get same id on these two without cross reffering everything.
$result = dbquery("INSERT INTO ".$db_prefix."crewdb_access (member,aintroduction,aacomplish,aprojects,aeducation,anotes,aname) VALUES('".$udata['id']."','$aintroduction','$aacomplish','$aprojects','$aeducation','$anotes','$aname')");

}
redirect("admin.php?a_page=Main&complete&error=$error");
}


if (isset($action) && $action == "edit") {
$result = dbquery("SELECT * FROM ".$db_prefix."crewdb WHERE id='$id'");
$data = dbarray($result);
$nickname = $data['nickname'];
$introduction = $data['introduction'];
$kategori= $data['cid'];
$image_url= $data['picture'];
$thumb_url= $data['thumb'];
$realname= $data['realname'];
$accomplishments = $data['accomplishments'];
$projects = $data['projects'];
$education = $data['education'];
$notes = $data['notes'];


$aresult = dbquery("SELECT * FROM ".$db_prefix."crewdb_access WHERE member='$id'");
$adata = dbarray($aresult);

$aintroduction = $adata['aintroduction'];
$aacomplish =  $adata['aacomplish'];
$aprojects =  $adata['aprojects'];
$aeducation =  $adata['aeducation'];
$anotes =  $adata['anotes'];
$aname = $adata['aname'];

$visibility_opts="0";
$formaction = "".INFUSIONS."crewdb/admin/admin.php?a_page=Main&action=edit&id=".$data['id']."";
$resultcat=dbquery("select * from ".$db_prefix."crewdb_cats WHERE cid='$kategori'");
$datacat = dbarray($resultcat);
$katname = $datacat['title'];
$katid = $datacat['cid'];

} else {

$realname = "";
$nickname = ""; 
$introduction= ""; 
$accomplishments = "";
$projects = "";
$education = "";
$notes = "";
$kategori= "";
$image_url = "";
$thumb_url = "";
$katname = "";
$katid = "";
$aintroduction ="";
$aacomplish =  "";
$aprojects =  "";
$aeducation =  "";
$anotes =  "";
$aname = "";

$formaction = "".INFUSIONS."crewdb/admin/admin.php?a_page=Main";
}

$grp_visibility = "";
$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($grp_visibility == $user_group['0'] ? " selected" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}
echo "<form name='contact' name='inputform' method='post' action='$formaction' enctype='multipart/form-data'>
<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='40%' align='right' valign='top'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
</tr>
<td width='49%' align='right'>".$locale['CDB401']."</td>
<td><input type='text' name='nickname' value='".$nickname."' class='textbox' style='width:250px;'></td>
</tr>

<tr>
<td align='right'>".$locale['CDB402']."</td>
<td><input type='text' name='realname' value='".$realname."' class='textbox' style='width:250px;'></td>
</tr>";
echo "<td>".$locale['CDB403']."</td><td align 'center'>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$aname'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($aname == 101) $group="Member";
if($aname == 102) $group="Admin";
if($aname == 103) $group="SuperAdmin";
if($aname == "0") $group="Public";
if($aname == "") $group="Public";
echo"
<select name='aname' class='textbox'>
<option selected value='".$aname."'>$group
$visibility_opts</select><br></td>";

echo "
<tr>
<td align='right'>".$locale['CDB404']."<br></td>
<td><input type='file' name='imagefile' enctype='image/jpeg' value='$image_url' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td align='right'>".$locale['CDB405']."</td>
<td><input type='text' name='thumb' value='$thumb_url' class='textbox' readonly style='width:250px;'></td>
</tr>
<tr>
<td align='right'>".$locale['CDB406']."</td>
<td><input type='text' name='image' value='$image_url' class='textbox' readonly style='width:250px;'></td>
</tr>
";
$resultcat=dbquery("select title,cid from ".$db_prefix."crewdb_cats WHERE cid='$katid'");
$datacat = dbarray($resultcat);

echo "<tr><td align='right'>".$locale['CDB407']."</td>";
echo '<td align="center"><select name="kategori" class="textbox"> <option value="'.$datacat['cid'].'">'.$datacat['title'].'</option>';   // name="kategori" ?????
$result=dbquery("select cid, title from ".$db_prefix."crewdb_cats ORDER BY title");
while(list($cid, $title) = dbarraynum($result)) 
{
echo '<option value="'.$cid.'">'.$title.'</option>';
}
echo '</select></td></tr>';

echo "
</table></td>
<td width='40%' align='right' valign='top'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>";

echo "
<tr>
<td align='right' valign='top'>".$locale['CDB408']."</td>
<td><textarea name='introduction' cols='45' rows='5' class='textbox'>$introduction</textarea>
</td>";
echo "<td>".$locale['CDB409']."</td><td>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$aintroduction'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($aintroduction == 101) $group="Member";
if($aintroduction == 102) $group="Admin";
if($aintroduction == 103) $group="SuperAdmin";
if($aintroduction == "0") $group="Public";
if($aintroduction == "") $group="Public";
echo"
<select name='aintroduction' class='textbox'>
<option selected value='".$aintroduction."'>$group
$visibility_opts</select><br></td></tr>";

echo "
<tr>
<td align='right' valign='top'> ".$locale['CDB410']." </td>
<td><textarea name='accomplishments' cols='45' rows='5' class='textbox'>$accomplishments</textarea>
</td>";
echo "<td>".$locale['CDB411']."</td><td>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$aacomplish'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($aacomplish == 101) $group="Member";
if($aacomplish == 102) $group="Admin";
if($aacomplish == 103) $group="SuperAdmin";
if($aacomplish == "0") $group="Public";
if($aacomplish == "") $group="Public";
echo"
<select name='aacomplish' class='textbox'>
<option selected value='".$aacomplish."'>$group
$visibility_opts</select><br></td></tr>";

echo "
<tr>
<td align='right' valign='top'> ".$locale['CDB412']." </td>
<td><textarea name='projects' cols='45' rows='5' class='textbox'>$projects</textarea>
</td>";
echo "<td>".$locale['CDB413']."</td><td>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$aprojects'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($aprojects == 101) $group="Member";
if($aprojects == 102) $group="Admin";
if($aprojects == 103) $group="SuperAdmin";
if($aprojects == "0") $group="Public";
if($aprojects == "") $group="Public";
echo"
<select name='aprojects' class='textbox'>
<option selected value='".$aprojects."'>$group
$visibility_opts</select><br></td></tr>";

echo "
<tr>
<td align='right' valign='top'> ".$locale['CDB414']." </td>
<td><textarea name='education' cols='45' rows='5' class='textbox'>$education</textarea>
</td>";
echo "<td>".$locale['CDB415']."</td><td>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$aeducation'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($aeducation == 101) $group="Member";
if($aeducation == 102) $group="Admin";
if($aeducation == 103) $group="SuperAdmin";
if($aeducation == "0") $group="Public";
if($aeducation == "") $group="Public";
echo"
<select name='aeducation' class='textbox'>
<option selected value='".$aeducation."'>$group
$visibility_opts</select><br></td></tr>";


echo "
<tr>
<td align='right' valign='top'> ".$locale['CDB416']." </td>
<td><textarea name='notes' cols='45' rows='5' class='textbox'>$notes</textarea>
</td>";
echo "<td>".$locale['CDB417']."</td><td>";
$get_group = dbquery("SELECT group_name FROM ".$db_prefix."user_groups WHERE group_id='$anotes'");
while ($datagroup = dbarray($get_group))
$group = $datagroup['group_name'];
if($anotes == 101) $group="Member";
if($anotes == 102) $group="Admin";
if($anotes == 103) $group="SuperAdmin";
if($anotes == "0") $group="Public";
if($anotes == "") $group="Public";
echo"
<select name='anotes' class='textbox'>
<option selected value='".$anotes."'>$group
$visibility_opts</select><br></td></tr>";

echo"<tr><td align='center' colspan='6'>
<input type='submit' name='save_cat' value='".$locale['CDB418']."' class='button'></td></tr>
</table></td>
</form>\n";

if (!isset($sortby)) $sortby = "all";
$orderby = ($sortby == "all" ? "" : " WHERE nickname LIKE '$sortby%'");
$result = dbquery("SELECT * FROM ".$db_prefix."crewdb".$orderby."");
$rows = dbrows($result);
if (!isset($rowstart)) $rowstart = 0;
if ($rows != 0) {
echo "<table align='center' width='100%' cellspacing='0'>
<tr>
<td align='left' class='tbl2' width='30%'><b>".$locale['CDB419']."</b></td>
<td align='center' class='tbl2' width='20%'><b>".$locale['CDB420']."<b></td>
<td align='center' class='tbl2' width='20%'><b>".$locale['CDB421']."</b></td>
<td align='right' class='tbl2' width='20%'><b>".$locale['CDB422']."</b></td>
</tr>\n";
$result = dbquery("SELECT * FROM ".$db_prefix."crewdb".$orderby." ORDER BY id DESC, nickname LIMIT $rowstart,10");
while ($data = dbarray($result)) {
echo "<tr>\n<td class='small'  width='20%'><img src='".THEME."images/bullet.gif' alt=''> <a href='admin.php?a_page=Main&action=edit&id=".$data['id']."'><b>".$data['nickname']."</b></a></td>\n";
echo "<td class='small' align='center' width='20%'>".$data['nickname']."</td>";
echo "<td class='small' align='center' width='20%'></td>";

echo "<td class='small' align='right' width='10%'><a href='".FUSION_SELF."?action=delete&id=".$data['id']."' onClick='return confirmdelete();'>".$locale['CDB423']."</a></td></tr>";
echo "</td>";
}
echo "</table>\n";
echo "<hr>";
echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?sortby=$sortby&")."\n</div>\n";
} else {
echo "<center><br>\n ".$locale['CDB424']."<b><br><br>\n</center>\n";
}
$search = array(
"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);
echo "<hr><table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['CDB425']."</a></td>";
for ($i=0;$i < 36!="";$i++) {
echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['CDB426']."</a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</table>\n";




?>
